Subject: Re: [dhcwg] CGAs and DHCP

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 19 Mar 2008 06:07:58 -0700 (PDT)

These are the proposals to modify DHCP in some major ways. Wouldn't it be better if dhc WG commented on these drafts?
So far, I don't see that happening.

Regards,

Behcet
----- Original Message ----
From: Sheng Jiang <[email-masked]>
To: "Templin, Fred L" <[email-masked]>; [email-masked]; [email-masked]; Iljitsch van Beijnum <[email-masked]>
Cc: [email-masked]
Sent: Tuesday, March 18, 2008 9:24:36 PM
Subject: RE: [dhcwg] CGAs and DHCP

Hi, Fred,

We are doing the analysis of different approaches to allow SeND and CGAs to be used
in conjunction with DHCP under CSI WG charter
(http://www.ietf.org/html.charters/csi-charter.html). There are two current active
drafts, which have a lot overlap each other. They include a lots contents. What you
have mentioned are also included through we don't go that much design detail as you
do since our intention is a analysis document only. The recommendation for solutions
or extension design may come later as another individual document. 

http://www.ietf.org/internet-drafts/draft-jiang-sendcgaext-cga-config-01.txt
http://www.ietf.org/internet-drafts/draft-van-beijnum-cga-dhcp-interaction-00.txt

Best regards,

Sheng JIANG, Ph.D.

IP Research Department, Networking Research Department, Network Product Line, Huawei
Technologies Co. Ltd.

*-----Original Message-----
*From: [email-masked] [mailto:[email-masked]] 
*On Behalf Of Templin, Fred L
*Sent: Wednesday, March 19, 2008 12:49 AM
*To: [email-masked]; [email-masked]; Iljitsch van Beijnum
*Cc: [email-masked]; Templin, Fred L
*Subject: [dhcwg] CGAs and DHCP
*
*Hello,
*
*You all have recently written about CGA interactions with DHCP:
*
*http://www.ietf.org/internet-drafts/draft-xia-dhc-host-gen-id-00.txt
*http://www.ietf.org/internet-drafts/draft-van-beijnum-cga-dhcp-
*interacti
*on-00.txt
*
*I have been proposing the use of CGAs with DHCP since May 2006 
*in several of my proposals (the latter of which is still active):
*
*http://www.tools.ietf.org/html/draft-templin-autoconf-netlmm-dhcp-00
*http://tools.ietf.org/html/draft-ietf-netlmm-mn-ar-if-01
*http://www.ietf.org/internet-drafts/draft-templin-autoconf-dhcp-11.txt
*
*My proposals have all spoken about the client proposing a CGA
**address* to the server, which sends a reply indicating 
*whether/not the address could be delegated (i.e., the same as 
*what your proposals seem to be saying). I would now like to 
*specify a means for delegating a fully-qualified *prefix* 
*(i.e., a /128) that includes a CGA using RFC3633 DHCP prefix 
*delegation. I see at least two possible methods for doing this:
*
*1) The client receives an RA that contains a prefix 
*information option (PIO) with prefix length=64 but with 'L' 
*bit set to 0.
*The client uses this prefix to generate a CGA (RFC3972) then 
*proposes this address to the DHCP server as a /128 prefix in 
*an IA_PD option using DHCPv6 prefix delegation (RFC3633) with 
*either 2-message or 4-message exchange. The server will send a 
*reply indicating whether/not the /128 prefix could be delegated.
*
*2) The client sends a DHCP SOLICIT (4 message exchange) with 
*an IA_PD option that asks for a /128 prefix to be delegated. 
*The server ADVERTISEs a /128 prefix that the client interprets as a
*/64 prefix concatenated with a 64-bit interface identifier. 
*The client discards the interface identifier and uses the /64 
*prefix to generate a CGA then proposes this address to the 
*DHCP server as a /128 prefix in an IA_PD option using 
*2-message exchange exactly as in 1) above.
*
*My intention has been to write this up in the next version of 
*the autoconf-dhcp draft, as an alternate option to the address 
*delegation proposed in the earlier works. But, I was wondering 
*if this should be coordinated with anything you all are doing. 
*For example, perhaps this should be included in a combined 
*document on CGA interactions with DHCP (citing earlier
*works) since it doesn't make sense to say essentially the same 
*things in multiple places.
*
*Thoughts?
*
*Fred
[email-masked]       
*_______________________________________________
*dhcwg mailing list
[email-masked]
*https://www.ietf.org/mailman/listinfo/dhcwg
*

_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg